# $Revision: 1.19.2.1 $, $Date: 2007/01/02 15:18:46 $
Summary:	Library for reading and converting WordPerfect(TM) documents
Summary(pl):	Biblioteka do odczytu i konwersji dokumentw WordPerfecta(TM)
Name:		libwpd
Version:	0.8.7
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libwpd/%{name}-%{version}.tar.gz
# Source0-md5:	99216fb67846e24aa75a26e246797de2
URL:		http://libwpd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.10.3
BuildRequires:	libgsf-devel >= 1.13.3
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.10.3
Requires:	libgsf >= 1.13.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library that handles WordPerfect documents.

%description -l pl
Biblioteka obsugujca dokumenty WordPerfecta.

%package devel
Summary:	Header files for libwpd library
Summary(pl):	Pliki nagwkowe biblioteki libwpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.10.3
Requires:	libgsf-devel >= 1.13.3
Requires:	libstdc++-devel

%description devel
Header files for libwpd library.

%description devel -l pl
Pliki nagwkowe biblioteki libwpd.

%package static
Summary:	Static libwpd library
Summary(pl):	Statyczna biblioteka libwpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwpd library.

%description static -l pl
Statyczna biblioteka libwpd.

%package tools
Summary:	Tools to transform WordPerfect Documents into other formats
Summary(pl):	Narzdzia do przeksztacania dokumentw WordPerfecta na inne formaty
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform WordPerfect Documents (WPD) into other formats.
Currently supported: html, raw, text.

%description tools -l pl
Narzdzia do przeksztacania dokumentw WordPerfecta (WPD) na inne
formaty. Aktualnie obsugiwane s: html, raw, text.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libwpd*
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libwpd.spec,v $
Revision 1.19.2.1  2007/01/02 15:18:46  glen
- update for AC

Revision 1.19  2006/10/18 10:34:45  qboosh
- updated to 0.8.7

Revision 1.18  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.17  2006/07/20 15:33:35  qboosh
- updated to 0.8.6

Revision 1.16  2006/07/13 17:26:22  freetz
- rel.2, updated deps, --as-needed for LDFLAGS

Revision 1.15  2006/06/01 22:24:37  adamg
- updated to 0.8.5

Revision 1.14  2005/12/15 13:24:39  qboosh
- updated to 0.8.4

Revision 1.13  2005/10/10 15:15:11  freetz
- rel.2 for rebuild with new libgsf (soname change)

Revision 1.12  2005/09/02 21:31:39  qboosh
- updated to 0.8.3

Revision 1.11  2005/07/02 15:08:03  qboosh
- updated to 0.8.2 (bugfixes)

Revision 1.10  2005/04/18 19:49:34  qboosh
- updated to 0.8.1 (bugfixes)

Revision 1.9  2005/02/27 20:02:55  qboosh
- updated to 0.8.0 (note: new soname)

Revision 1.8  2004/12/11 00:04:15  ankry
- rel. 2

Revision 1.7  2004/07/18 23:28:59  grzegol
- updated to 0.7.2

Revision 1.6  2004/02/15 17:01:38  qboosh
- strict internal deps

Revision 1.5  2004/02/14 21:43:21  adamg
- updated to 0.7.1

Revision 1.4  2004/01/17 13:17:47  qboosh
- updated to 0.7.0

Revision 1.3  2003/11/11 15:24:47  qboosh
- updated to 0.6.6

Revision 1.2  2003/11/04 20:23:26  qboosh
- updated to 0.6.5

Revision 1.1  2003/10/30 22:02:54  qboosh
- new
